> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beltic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account

> Create a new account with the provided attributes



## OpenAPI

````yaml POST /v1/identity/accounts
openapi: 3.1.0
info:
  title: Beltic Identity API
  version: 1.0.0
  description: >-
    # Identity API


    The Beltic Identity API provides identity management capabilities including
    accounts, sessions, document verification, and identity verifications.


    ## Key Features


    - **Account Management**: Create and manage identity accounts

    - **Session Management**: Create and manage verification sessions with
    lifecycle controls

    - **Document Verification**: Submit and process identity documents
    (government IDs, proof of address)

    - **Identity Verification**: Run identity, address, and business
    verifications

    - **JSON:API Format**: All responses follow JSON:API specification


    ## Authentication


    All endpoints require authentication. Include your API key in the
    `X-Api-Key` header:

    ```

    X-Api-Key: YOUR_API_KEY

    ```


    ## Response Format


    All responses follow the JSON:API specification for consistent data
    structures.
  contact:
    name: Beltic API Support
    email: engineering@beltic.com
servers:
  - url: https://api.beltic.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Accounts
    description: Account management operations
  - name: Sessions
    description: Session management operations
  - name: Session Devices
    description: Session device management operations
  - name: Document Addresses
    description: Proof of address document management operations
  - name: Document IDVs
    description: Government ID verification document management operations
  - name: Verifications
    description: Base verification resource operations
externalDocs:
  description: Beltic Platform Documentation
  url: https://docs.beltic.com
paths:
  /v1/identity/accounts:
    post:
      tags:
        - Accounts
      summary: Create new account
      description: Create a new account with the provided attributes
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccountRequest'
      responses:
        '201':
          description: Account created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponse'
        '400':
          description: Bad Request - Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found - Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict - Resource already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateAccountRequest:
      type: object
      properties:
        data:
          type: object
          properties:
            attributes:
              type: object
              properties:
                external_id:
                  type:
                    - string
                    - 'null'
                entity_type:
                  type: string
                  enum:
                    - person
                    - business
                person:
                  type:
                    - object
                    - 'null'
                  properties:
                    name:
                      type: object
                      properties:
                        first:
                          type:
                            - string
                            - 'null'
                        middle:
                          type:
                            - string
                            - 'null'
                        last:
                          type:
                            - string
                            - 'null'
                    birth_date:
                      type: string
                  required:
                    - name
                    - birth_date
                business:
                  type:
                    - object
                    - 'null'
                  properties:
                    legal_name:
                      type:
                        - string
                        - 'null'
                    registration_date:
                      type:
                        - string
                        - 'null'
                    shareholders:
                      type:
                        - array
                        - 'null'
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          shareholder_type:
                            type: string
                          date_of_birth:
                            type:
                              - string
                              - 'null'
                          id_type:
                            type:
                              - string
                              - 'null'
                          id_number:
                            type:
                              - string
                              - 'null'
                          number_of_share:
                            type:
                              - string
                              - 'null'
                          percentage_of_share:
                            type:
                              - number
                              - 'null'
                        required:
                          - name
                          - shareholder_type
                contact:
                  type: object
                  properties:
                    email:
                      type: string
                      format: email
                    phone:
                      type: string
                  required:
                    - email
                    - phone
                address:
                  type: object
                  properties:
                    line1:
                      type:
                        - string
                        - 'null'
                    line2:
                      type:
                        - string
                        - 'null'
                    sublocality:
                      type:
                        - string
                        - 'null'
                    locality:
                      type:
                        - string
                        - 'null'
                    administrative_area:
                      type:
                        - string
                        - 'null'
                    postal_code:
                      type:
                        - string
                        - 'null'
                    country_code:
                      type:
                        - string
                        - 'null'
                      minLength: 2
                      maxLength: 2
                identity_numbers:
                  type: array
                  items:
                    type: object
                    properties:
                      number:
                        type: string
                      issuing_country_code:
                        type: string
                        minLength: 2
                        maxLength: 2
                      class:
                        type: string
                      created_at:
                        type: string
                      updated_at:
                        type: string
                    required:
                      - number
                      - issuing_country_code
                      - class
                      - created_at
                      - updated_at
                redacted_at:
                  type:
                    - string
                    - 'null'
              required:
                - entity_type
              description: Account attributes to create
          required:
            - attributes
      required:
        - data
    AccountResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - account
            attributes:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - active
                    - inactive
                    - suspended
                    - pending
                external_id:
                  type:
                    - string
                    - 'null'
                entity_type:
                  type: string
                  enum:
                    - person
                    - business
                person:
                  type:
                    - object
                    - 'null'
                  properties:
                    name:
                      type: object
                      properties:
                        first:
                          type:
                            - string
                            - 'null'
                        middle:
                          type:
                            - string
                            - 'null'
                        last:
                          type:
                            - string
                            - 'null'
                    birth_date:
                      type: string
                  required:
                    - name
                    - birth_date
                business:
                  type:
                    - object
                    - 'null'
                  properties:
                    legal_name:
                      type:
                        - string
                        - 'null'
                    registration_date:
                      type:
                        - string
                        - 'null'
                    shareholders:
                      type:
                        - array
                        - 'null'
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          shareholder_type:
                            type: string
                          date_of_birth:
                            type:
                              - string
                              - 'null'
                          id_type:
                            type:
                              - string
                              - 'null'
                          id_number:
                            type:
                              - string
                              - 'null'
                          number_of_share:
                            type:
                              - string
                              - 'null'
                          percentage_of_share:
                            type:
                              - number
                              - 'null'
                        required:
                          - name
                          - shareholder_type
                contact:
                  type: object
                  properties:
                    email:
                      type: string
                      format: email
                    phone:
                      type: string
                  required:
                    - email
                    - phone
                address:
                  type: object
                  properties:
                    line1:
                      type:
                        - string
                        - 'null'
                    line2:
                      type:
                        - string
                        - 'null'
                    sublocality:
                      type:
                        - string
                        - 'null'
                    locality:
                      type:
                        - string
                        - 'null'
                    administrative_area:
                      type:
                        - string
                        - 'null'
                    postal_code:
                      type:
                        - string
                        - 'null'
                    country_code:
                      type:
                        - string
                        - 'null'
                      minLength: 2
                      maxLength: 2
                identity_numbers:
                  type: array
                  items:
                    type: object
                    properties:
                      number:
                        type: string
                      issuing_country_code:
                        type: string
                        minLength: 2
                        maxLength: 2
                      class:
                        type: string
                      created_at:
                        type: string
                      updated_at:
                        type: string
                    required:
                      - number
                      - issuing_country_code
                      - class
                      - created_at
                      - updated_at
                created_at:
                  type: string
                updated_at:
                  type:
                    - string
                    - 'null'
                redacted_at:
                  type:
                    - string
                    - 'null'
              required:
                - status
                - entity_type
            relationships:
              type: object
              properties:
                sessions:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                          id:
                            type: string
                        required:
                          - type
                          - id
                  required:
                    - data
                documents:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                          id:
                            type: string
                        required:
                          - type
                          - id
                  required:
                    - data
          required:
            - id
            - type
            - attributes
            - relationships
        meta:
          type: object
          properties: {}
        links:
          type: object
          additionalProperties:
            type: string
      required:
        - data
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/JsonApiError'
        meta:
          type: object
          additionalProperties: {}
      required:
        - errors
    JsonApiError:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
            header:
              type: string
        meta:
          type: object
          additionalProperties: {}
      required:
        - status
        - title
        - detail
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: |-
        API key for authentication.
        Access https://console.beltic.com/ to obtain your API key.

````